local addon_name, addon_env = ...

if not LibStub then return end
local AceAddon3 = LibStub("AceAddon-3.0")
if not AceAddon3 then return end
local BetterInbox = AceAddon3:GetAddon("BetterInbox", true)
if not BetterInbox then return end

local done
hooksecurefunc(BetterInbox, "SetupGUI", function()
   if done then return end
   for i = 1, 7 do
      local expireTime = _G["BetterInboxItem" .. i .. "ExpireTime"]
      hooksecurefunc(expireTime, "Show", addon_env.OnShow_fade_expire_time_if_deleted)
   end
   done = true
end)